#ifndef BENEFITS_H
#define BENEFITS_H

#include <stdio.h>
#include <time.h>
#include "projects.h"
#include "pwp.h"

typedef struct{

    int pid;
    int m;

}risk_key;

typedef struct{

    risk_key benefit;
    float beneficio;
    UT_hash_handle hh;

}risk_hash;

void add_risk(risk_hash **risk,int pid,int m, float beneficio);/*Adiciona uma risco de benefcio a hash de risco*/

float benefit_per_pair(float Rp,int m,int dp,float rpt);

void calcule_benefit(risk_hash **Hight_risk1,risk_hash **Normal_risk1,projectsh **projects, pwphs **pwp);

risk_hash *delete_risk(risk_hash **risk, risk_key pair);

void print_risk(risk_hash **risk);

void sorting(risk_hash **risk);

/*Copia a hash de High risk e Normal risk para outras variveis auxiliares.  feito isso para no ser preciso o recaculo.*/
void copy_risk_hash(risk_hash **High_risk, risk_hash **Normal_risk,risk_hash **High_risk2,risk_hash **Normal_risk2);

#endif
