#ifndef BRKGA
#define BRKGA

#include <math.h>
#include <time.h>
#include <float.h>

#include "uthash.h"
#include "solution.h"
#include "pwp.h"

#define CRITERIO_DE_PARADA 20
#define CRITERIO_DE_REINICIALIZACAO 100
#define POPULATION_SIZE 20
#define ELITE_PERCENTAGE 0.25

#define MUTANT_PERCENTAGE 0.20

#define EXPERIMENT_NUM_TIMES 10

solutionhs *generate_mutant(projectsh **projects, projectsh **mandatory_projects,warning_pointshs **wp ,solutionhs **P, resources res);
solutionhs *BRKGA_(projectsh **projects,projectsh **mandatory_projects,pwphs **pwp,warning_pointshs **wp,resources *res);
solutionhs *crossover(solutionhs **fatherA, solutionhs **fatherB, projectsh **projects, projectsh **mandatory_projects, resources res);
#endif
