#include "warning_point.h"

 warning_pointshs *find_warning_point(warning_pointshs *wp,int pid) {

    warning_pointshs *s;

    HASH_FIND_INT(wp, &pid, s);

    return s;

}

void add_warning_point(warning_pointshs **wp, warning_points entrada){

    warning_pointshs *s;

	s = (warning_pointshs*)malloc( sizeof(warning_pointshs) );
    memset(s, 0, sizeof(warning_pointshs));

    s->pid = entrada.id;
    s->warning_points.risk = entrada.risk;
    s->warning_points.risk_category[0] = entrada.risk_category[0];
    s->warning_points.deadline = entrada.deadline;
    s->warning_points.tam = entrada.tam;

	for(int i=0; i < s->warning_points.tam; i++){
        s->warning_points.group_of_projects[i] = entrada.group_of_projects[i];
	}

	s->warning_points.r = s->warning_points.risk/s->warning_points.tam;

	HASH_ADD_INT(*wp, pid, s);

}

void print_warning_points(warning_pointshs **wp){

    warning_pointshs *s;

    for(s = *wp; s != NULL; s =(warning_pointshs*) (s->hh.next)){
        printf("\n\n");
        printf("\nId: %d",s->pid);
        printf("\nRisco: %.2f",s->warning_points.risk);
        printf("\nr: %.2f",s->warning_points.r);
        printf("\nCategoria de risco: %c",s->warning_points.risk_category[0]);
        printf("\nDeadline: %d",s->warning_points.deadline);
        printf("\nGrupo de projetos: ");
        for(int i = 0; i < s->warning_points.tam; i++){
            printf("%d ",s->warning_points.group_of_projects[i]);

        }
    }
}



